# tbb::null_mutex Class Reference
[Synchronization]

A mutex which does nothing. More...

`#include <null_mutex.h>`

List of all members.

## Static Public Attributes

static const bool | is_rw_mutex = false
static const bool | is_recursive_mutex = true
static const bool | is_fair_mutex = true

## Classes

class | scoped_lock
| Represents acquisition of a mutex. More...

## Detailed Description

A mutex which does nothing.

A null_mutex does no operation and simulates success.

The documentation for this class was generated from the following file:

- null_mutex.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.